using ConstructorApp.BusinessLayer.Abstract;
using ConstructorApp.DataAccessLayer.Abstract;
using ConstructorApp.EntityLayer.Entities;

namespace ConstructorApp.BusinessLayer.Concrete
{
    public class ProjectGalleryManager : IProjectGalleryService
    {
        private readonly IProjectGalleryDal _projectGalleryDal;

        public ProjectGalleryManager(IProjectGalleryDal projectGalleryDal)
        {
            _projectGalleryDal = projectGalleryDal;
        }

        public void TAdd(ProjectGallery entity)
        {
            _projectGalleryDal.Add(entity);
        }

        public void TDelete(ProjectGallery entity)
        {
            _projectGalleryDal.Delete(entity);
        }

        public ProjectGallery TGetByID(int id)
        {
            return _projectGalleryDal.GetByID(id);
        }

        public List<ProjectGallery> TGetImagesByProjectId(int projectId)
        {
            return _projectGalleryDal.GetImagesByProjectId(projectId);
        }

        public List<ProjectGallery> TGetListAll()
        {
            return _projectGalleryDal.GetListAll();
        }

        public void TUpdate(ProjectGallery entity)
        {
            _projectGalleryDal.Update(entity);
        }
    }
}
